Create Event
Creates a new [Event](#schema_event). When creating a new [Event](#schema_event), the required tags must be provided. See the specific integration for more details.
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
Event data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/chat/events" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "type": "string", "payload": {} }'{ "event": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "messageId": "stringstringstringstringstri", "status": "pending", "failureReason": "string" }}{ "event": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "messageId": "stringstringstringstringstri", "status": "pending", "failureReason": "string" }}Create Conversation POST
Creates a new [Conversation](#schema_conversation). When creating a new [Conversation](#schema_conversation), the required tags must be provided. See the specific integration for more details.
Create Message POST
Creates a new [Message](#schema_message). When creating a new [Message](#schema_message), the required tags must be provided. See the specific integration for more details.